eckit (2.1.0-2) unstable; urgency=medium

  * Build-dep on cythn3. dh-python3, python3-all-dev
  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Jun 2026 12:06:15 +0100

eckit (2.1.0-1) experimental; urgency=medium

  * New upstream release
  * cython.patch: Fix for python3 builds
  * Enable python3-eckit as package

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Jun 2026 07:35:39 +0100

eckit (2.0.8-1) unstable; urgency=medium

  * New upstream release
  * Debhelper compat version now 14

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Jun 2026 08:39:08 +0100

eckit (2.0.7-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Since Ceph is built on only few architectures nowadays, simplify and fix
    the way it is required and enabled:
    - enable the librados-dev build dependency only on the Ceph architectures,
      rather than trying to disable it when not available; the current list of
      architectures is: amd64 arm64 ppc64el s390x
    - limit the libradospp-dev build dependency in the same way as done for
      librados-dev, as they are both built by src:ceph
    - change NO_RADOS_ARCH to RADOS_ARCHS in rules, making it mirror the Ceph
      build dependencies and using it to enable the Ceph support
    - enable Ceph also on loong64, as it is available there too

  [ Alastair McKinstry ]
  * Get RADOS_ARCH from d/control
  * Standards-Version: 4.7.4
  * amd65 is a typo, not an arch in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 May 2026 15:12:40 +0100

eckit (2.0.7-1) unstable; urgency=medium

  * New upstream release
  * Add b-depends python3-sphinx-copybutton

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 Mar 2026 08:45:48 +0100

eckit (2.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Mar 2026 06:59:56 +0000

eckit (2.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Mar 2026 06:18:24 +0000

eckit (2.0.2-3) unstable; urgency=medium

  * Fix for cmake includes regression (typo in d/rules)
  * Disable RPATHS
  * Don't ship embedded js scripts
  * libeckit-dev not depends on libjs-sphinxdoc, libjs-d3

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Mar 2026 06:55:04 +0000

eckit (2.0.2-2) unstable; urgency=medium

  * Drop dep on libhipsparse to avoid blockage
  * Build and install docs

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 07 Mar 2026 18:55:09 +0000

eckit (2.0.2-1) unstable; urgency=medium

  * New upstream release
  * Enable docs
  * Build-dep on python3-sphinxcontrib-mermaid for docs

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 07 Mar 2026 08:22:29 +0000

eckit (2.0.1-2) unstable; urgency=medium

  * Disable HIP; missing on some archs

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Feb 2026 07:34:39 +0000

eckit (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Cleanup d/control with cme
  * Drop leading / in d/*install paths
  * Header for zip.patch
  * JEMALLOC support dropped in 2.0.0
  * Drop RSYNC dependencies; no longer used
  * Undo zip.patch; Debian now uses standard name

  * disable-cache-test.patch: Drop test that breaks compilation

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Feb 2026 09:30:52 +0000

eckit (1.33.1-1) unstable; urgency=medium

  * New upstream release
  * Drop secondary tarball with unused testdata. Breaks salsa test builds

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Feb 2026 13:52:55 +0000

eckit (1.33.0-1) unstable; urgency=medium

  * New upstream release
  * New shared lib libeckit_spec.so.0d
  * Add d/salsa-ci.yml

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Feb 2026 06:58:49 +0000

eckit (1.32.4-3) unstable; urgency=medium

  * Standards-Version: 4.7.3
  * Clean autogenerated setup.py. Closes: #1045001, #1049734
  * Drop Priority: optional from source in d/control per new policy
  * Don't use RADOS on loong64; not supported  there yet

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Jan 2026 08:40:36 +0000

eckit (1.32.4-2) unstable; urgency=medium

  * Build against fixed ecbuild. Closes: #1122052
  * Move d/copyright to DEP-5, licensrecon fixes
  * Close previously fixed bug. Closes: #1044845

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Dec 2025 12:55:06 +0000

eckit (1.32.4-1) unstable; urgency=medium

  * New upstream release
  * d/gbp.conf: now use pristine-tar
  * d/watch: Move to version 4 format

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Dec 2025 15:54:54 +0000

eckit (1.32.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Nov 2025 07:17:16 +0000

eckit (1.32.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Oct 2025 06:56:24 +0100

eckit (1.32.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Oct 2025 09:16:36 +0100

eckit (1.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Sep 2025 10:23:30 +0100

eckit (1.31.4-3) unstable; urgency=medium

  * Close old bugs. Closes: #1103637, #1044845
  * Drop cmake link target PROJ::proj which breaks builds

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Aug 2025 11:28:13 +0100

eckit (1.31.4-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2025 15:34:22 +0100

eckit (1.31.4-1) experimental; urgency=medium

  * New upstream release
  * Remove merged compile-fixes.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Jul 2025 07:59:45 +0100

eckit (1.30.0-1) experimental; urgency=medium

  * New upstream release
  * Set HAVE_TESTS=off

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Jun 2025 10:56:39 +0100

ckit (1.29.3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 May 2025 16:18:05 +0100

eckit (1.29.1-1) unstable; urgency=medium

  * New upstream release
  * compile-fix.patch for ZIP support needed
  * Build-dep on libzip-dev and libshp-dev
  * zip.patch: Needed for geo to compile
  * No longer ship etc directory; ship /usr/share/eckit/*

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Apr 2025 15:28:31 +0100

eckit (1.28.7-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Apr 2025 09:26:21 +0100

eckit (1.28.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 22 Mar 2025 11:26:15 +0000

eckit (1.28.5-2) unstable; urgency=medium

  * Enable rados: uses rados.patch
  * Add more archs for rados
  * Standards-Version: 4.7.1

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 25 Feb 2025 16:18:15 +0000

eckit (1.28.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Jan 2025 04:59:38 +0000

eckit (1.28.4-1) unstable; urgency=medium

  * Drop B-D on dh-buildinfo
  * Drop ia64 references; no longer supported
  * New upstream release
  * Add 0d soversion to   libeckit_geo.so

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Jan 2025 09:06:52 +0000

eckit (1.28.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Nov 2024 16:03:40 +0000

eckit (1.28.2-1) unstable; urgency=medium

  * New upstream release 
  * Build with proj support, convex hull support
  * Enable ECKIT_GEO, SSL support

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Nov 2024 16:23:35 +0000

eckit (0.28.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Oct 2024 07:53:56 +0100

eckit (1.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Sep 2024 08:28:09 +0100

eckit (1.27.0-1) unstable; urgency=medium

  * New upstream release
  * Install  /usr/etc/eckit* to /etc/eckit in libeckit0d

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Aug 2024 07:30:44 +0100

eckit (1.26.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Jul 2024 08:46:18 +0100

eckit (1.26.3-1) unstable; urgency=medium

  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Jun 2024 09:53:22 +0100

eckit (1.26.2-1) unstable; urgency=medium

  * New release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Apr 2024 06:47:43 +0100

eckit (1.26.1-2) unstable; urgency=medium

  * Ensure libeckit_codec has a shared obj version number

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Apr 2024 16:10:28 +0100

eckit (1.26.1-1) unstable; urgency=medium

  * New upstream release
  * Include libeckit_codec.so

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Mar 2024 11:55:49 +0000

eckit (1.25.2-2) unstable; urgency=medium

  * Mark test superficial. Closes: #974481
  * Close previously fixed bugs: Closes: #1053173, #1034845

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Jan 2024 14:36:08 +0000

eckit (1.25.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Jan 2024 06:28:11 +0000

eckit (1.25.1-1) unstable; urgency=medium

  * New upstream release
  * Switch libopenmpi-dev to mpi-default-dev as dep for dev pkg
  * Drop obsolete breaks/provides for libodb-api packages
  * Drop refs to 32-bit archs; now obsolete

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Jan 2024 08:22:27 +0000

eckit (1.25.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Dec 2023 14:32:32 +0000

eckit (1.24.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Dec 2023 08:00:23 +0000

eckit (1.24.5-1) unstable; urgency=medium

  * New upstream release
  * Remove openblas dependency for some archs

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Nov 2023 07:37:38 +0000

eckit (1.24.4-4) unstable; urgency=medium

  * Disable rados build-dep on loong64, sparc64, ppc64

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Nov 2023 17:33:02 +0000

eckit (1.24.4-3) unstable; urgency=medium

  * B-D on architecture-is-64-bit, drop arch-conditionals for librados-dev


 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Sep 2023 16:56:37 +0100

eckit (1.24.4-2) unstable; urgency=medium

  * Enable build twice in a row. Closes: #1044845

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Aug 2023 10:08:57 +0100

eckit (1.24.4-1) unstable; urgency=medium

  * New upstream release
  * Update shared_lib patch for libeckit_distributed.so

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Aug 2023 09:31:09 +0100

eckit (1.24.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Jul 2023 17:24:16 +0100

eckit (1.24.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Jun 2023 10:02:22 +0100

eckit (1.24.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Jun 2023 07:50:34 +0100

eckit (1.24.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Jun 2023 10:37:03 +0100

eckit (1.23.1-2) unstable; urgency=medium

  * Push to unstable
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 10:31:24 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libeckit0d`.
